/*
    This file is a part of the SteamWar software.

    Copyright (C) 2020  SteamWar.de-Serverteam

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

package de.steamwar.bausystem.world;

import org.bukkit.Location;

public class Detoloader {

    String message;
    int activation;
    boolean active, addBack = true, useActive = false;

    public Detoloader(String message, int activation) {
        this.message = message;
        this.activation = activation;
    }

    public String getBlock() {
        return message;
    }

    public void setBlock(String message) {
        this.message = message;
    }

    public int getActivation() {
        return activation;
    }

    public boolean isActive() {
        return active;
    }

    public Detoloader setActive(boolean active) {
        useActive = true;
        this.active = active;
        return this;
    }

    public boolean isAddBack() {
        return addBack;
    }

    public Detoloader setAddBack(boolean addBack) {
        this.addBack = addBack;
        return this;
    }

    static class DetonatorActivation {

        int activation = -1;
        Location location;

        public DetonatorActivation(Location location) {
            this.location = location;
        }

        public DetonatorActivation(int activation, Location location) {
            this.activation = activation;
            this.location = location;
        }
    }

    //Timings
    public static final int STONE_BUTTON = 20;
    public static final int WOODEN_BUTTON = 30;
    public static final int PRESSURE_PLATE = 20;
    public static final int NOTE_BLOCK = 1;
    public static final int TRIPWIRE = 20;
}
